Subject: Installing multiple Postgresql Versions in parallel, does not seem to work anymore

From: Simon Hönscheid <[email-masked]>
Date: Sun, 14 Dec 2025 16:58:18 +0100

Hello Listmembers,

during a routine postgresql upgrade from 14 to 17 on a Debian 12 Server 
I stumbled over this behaviour:

The Server is Running Debian 12 and the postgresql.org apt repository. 
Until today the Server was running Postgresql 14 and an upgrade to 
postgresql 17 was planned. In the past I used to install the new version 
in parallel and migrated the data. Today I noticecd the post install 
steps did not run. No cluster was bootstrapped, no config directory 
created, no systemd unit created. There was also an upgrade planned to 
Debian 13, so I did this first, and tried again. Same result.

I confirmed on a fresh Debian 13 server and the result is the same.
Please find the console log of the fresh Debian 13 Server attached.

Kind Regards,
Simon

-- 
Simon Hönscheid
Berater und Systemarchitekt für Automatisierung, Cloud & Monitoring

Xyntion GmbH
Genter Straße 12
13353 Berlin

Geschäftsführer: Simon Hönscheid
HRB 263949 B  - Amtsgericht Charlottenburg

Mobil: +49 (0)163-48 24 220
Email:[email-masked]
Web:https://www.xyntion.consulting

---

From: Christoph Berg <[email-masked]>
Date: Sun, 14 Dec 2025 19:55:43 +0100

Re: Simon Hönscheid
> The Server is Running Debian 12 and the postgresql.org apt repository. Until
> today the Server was running Postgresql 14 and an upgrade to postgresql 17
> was planned. In the past I used to install the new version in parallel and
> migrated the data. Today I noticecd the post install steps did not run. No
> cluster was bootstrapped, no config directory created, no systemd unit
> created. There was also an upgrade planned to Debian 13, so I did this
> first, and tried again. Same result.

The packages are co-installable. What changed is that no new cluster
is created by default. If you want that, run `pg_createcluster 17 main`.

But the packaging is built about pg_upgradecluster, so you might just
run `pg_upgradecluster 14 main -v 17` instead.

Christoph